关于出现“对不起,您安装的不是正版应用..”的解决方法

[复制链接]
haoyangtian实名认证 手机认证 视频认证 发表于 2017-4-7 11:48:00 | 显示全部楼层 |阅读模式 打印 上一主题 下一主题
使用Discuz!建站的站长都会遇到这样的问题:有些插件和风格在安装时出现不能安装的现象,出现以下提示:
不起,您安装的不是正版应用,安装程序无法继续执行
点击这里安装正版应用
针对这一情况,本人从网络上收集了几种可以解决的办法,现在将这些办法几种起来,大家可以一一进行尝试,为了安装上自己喜欢的风格我想大家也不怕这点麻烦吧!

方法一:
       discuz 社区在更新到2.0以上后,增加了对插件的版本检测,在安装时,可能会出现:“对不起,您安装的不是正版应用,安装程序无法继续执行”的提示,要解决这个其实挺容易的,找到以下文件:
  dz2.0文件
  /source/function/function_c loudaddons.php
  找到文件中搜索下面的语句后。直接删除就ok了
cpmsg('cloudaddons_genuine_message', '', 'error', array('addonid' => $addonid));

方法二:
模板不能安装只要修改你模板文件夹名称就可以安装了,比如原来的模板是pengyouz,现在你任意修改比如修改为pengyouzz,然后在模板安装文件找到<item id="directory"><![CDATA[./template/pengyouz]]></item>你把这个里面的pengyouz改为刚才你修改过的新名称pengyouzz,这样就可以了,还有就是需要修改模板名称链接,可以用Dreamweaver来批量修改。
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

关注0

粉丝0

帖子1264

发布主题
一周下载排行最近7x24小时热帖
专注源码分享,教程分享
全国服务电话

187-8198-7163

周一至周8:00-22:00

反馈建议

cdhaoyt@163.com 在线QQ咨询

扫描二维码关注我们

Powered by Discuz! X3.2© 2001-2013 Comsenz Inc.( 蜀ICP备16032957号-1